%define upstream_name    Math-BigInt-GMP
%define upstream_version 1.6003

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    High speed arbitrary size integer math
License:    Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: gmp-devel
# automatic dependency doesn't work here, because perl package
# provides an unversioned one
BuildRequires: perl-Math-BigInt >= 1.999.808
BuildRequires: perl-devel
BuildRequires:  perl(Config)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.75
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(lib)
BuildRequires:  perl(Text::ParseWords)
# Module Runtime
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  perl(XSLoader) >= 0.02
# Test Suite
BuildRequires:  perl(Math::BigFloat) >= 1.994
BuildRequires:  perl(Math::BigInt) > 1.9998
BuildRequires:  perl(Pod::Coverage) >= 0.18
BuildRequires:  perl(Storable)
BuildRequires:  perl(Test)
BuildRequires:  perl(Test::More) >= 0.47
BuildRequires:  perl(Test::Pod) >= 1.22
BuildRequires:  perl(Test::Pod::Coverage) >= 1.08

%{?perl_default_filter}

%description
This package contains a replacement (drop-in) module for
Math::BigInt's core, Math::BigInt::Calc.pm.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
export PERL5LIB=%{perl_vendorlib}
perl Makefile.PL INSTALLDIRS="vendor"
%make_build  CFLAGS="%{optflags}"

export PERL5LIB=%{perl_vendorlib}

%install
%make_install

%files
%doc LICENSE
%doc BUGS CHANGES CREDITS META.json META.yml MYMETA.yml README SIGNATURE TODO
%{perl_vendorarch}/Math
%{perl_vendorarch}/auto/Math
%{_mandir}/man*/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.600.300-2pclos2017
- rebuild against updates

